Bug 18026 - URL to database columns link in system preferences is incorrect
Summary: URL to database columns link in system preferences is incorrect
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P4 normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 18222
  Show dependency treegraph
 
Reported: 2017-02-01 01:00 UTC by Dilan Johnpullé
Modified: 2017-04-02 16:42 UTC (History)
12 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Picture of the URL link (8.48 KB, image/png)
2017-02-01 01:00 UTC, Dilan Johnpullé
Details
Bug 18026 - URL to database columns link in system preferences is incorrect (5.09 KB, patch)
2017-02-13 06:25 UTC, Mason James
Details | Diff | Splinter Review
Bug 18026 - URL to database columns link in system (5.11 KB, patch)
2017-02-13 06:30 UTC, Mason James
Details | Diff | Splinter Review
Bug 18026 - URL to database columns link in system preferences is incorrect (16.11.x) (5.15 KB, patch)
2017-02-15 02:51 UTC, Mason James
Details | Diff | Splinter Review
Bug 18026 - URL to database columns link in system preferences is incorrect (16.05.x) (5.11 KB, patch)
2017-02-15 03:04 UTC, Mason James
Details | Diff | Splinter Review
Bug 18026 - URL to database columns link in system preferences is incorrect (16.05.x) (5.21 KB, patch)
2017-02-15 03:09 UTC, Mason James
Details | Diff | Splinter Review
Bug 18026 - URL to database columns link in system preferences is incorrect (16.11.x) (5.21 KB, patch)
2017-02-15 03:13 UTC, Mason James
Details | Diff | Splinter Review
Bug 18026 - URL to database columns link in system preferences is incorrect (3.22.x) (4.42 KB, patch)
2017-02-15 03:18 UTC, Mason James
Details | Diff | Splinter Review
Bug 18026 - URL to database columns link in system preferences is incorrect (master) (5.23 KB, patch)
2017-02-15 03:30 UTC, Mason James
Details | Diff | Splinter Review
Bug 18026 [ALTERNATIVE PATCH FOR MASTER] URL to database columns link in system preferences is incorrect (5.92 KB, patch)
2017-02-15 20:41 UTC, Marc Véron
Details | Diff | Splinter Review
[SIGNED OFF] Bug 18026 - URL to database columns link in system preferences is incorrect (16.05.x) (5.25 KB, patch)
2017-02-17 13:09 UTC, Baptiste
Details | Diff | Splinter Review
[SIGNED OFF] Bug 18026 - URL to database columns link in system preferences is incorrect (16.11.x) (5.25 KB, patch)
2017-02-17 13:11 UTC, Baptiste
Details | Diff | Splinter Review
[SIGNED OFF] Bug 18026 - URL to database columns link in system preferences is incorrect (3.22.x) (4.46 KB, patch)
2017-02-17 13:12 UTC, Baptiste
Details | Diff | Splinter Review
[SIGNED OFF] Bug 18026 [ALTERNATIVE PATCH FOR MASTER] URL to database columns link in system preferences is incorrect (6.00 KB, patch)
2017-02-17 13:17 UTC, Baptiste
Details | Diff | Splinter Review
Bug 18026: Correct URL to database columns from .pref files (7.08 KB, patch)
2017-02-20 09:59 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18026: Correct URL to database columns from .pref files [MASTER] (7.13 KB, patch)
2017-02-20 17:54 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 18026: Correct URL to database columns from .pref files [16.11.x] (7.17 KB, patch)
2017-02-20 17:56 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 18026: Correct URL to database columns from .pref files [16.05.x] (7.17 KB, patch)
2017-02-20 17:58 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 18026: Correct URL to database columns from .pref files [3.22.x] (6.71 KB, patch)
2017-02-20 18:13 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 18026: Correct URL to database columns from .pref files (7.22 KB, patch)
2017-02-21 14:52 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 18026: Correct URL to database columns from .pref files [16.11.x] (7.26 KB, patch)
2017-02-21 14:55 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 18026: Correct URL to database columns from .pref files [16.05.x] (7.26 KB, patch)
2017-02-21 14:56 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Dilan Johnpullé 2017-02-01 01:00:38 UTC
Created attachment 59704 [details]
Picture of the URL link

Under the Acquisitions tab in Global system preferences, the link to the Koha items table URL is broken.

The link should be: http://schema.koha-community.org/16_05/tables/items.html
but the link instead is: http://schema.koha-community.org/tables/items.html

Note the "16_05" missing in the latter. This causes a 404 "not found" error to result.
Comment 1 Josef Moravec 2017-02-01 21:03:10 UTC
References to schema website are in these 3 files:
koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/acquisitions.pref
koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/opac.pref
koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/patrons.pref
Comment 2 Mason James 2017-02-13 06:25:43 UTC
Created attachment 60137 [details] [review]
Bug 18026 - URL to database columns link in system preferences is incorrect

Here's a patch for the 16.05 series, and the command I used to do the search/replace

$ grep -irl 'schema.koha-community.org/tables' ./* | grep -v .git | xargs perl -pi -e 's^koha-community.org/tables^koha-community.org/16_05^'
Comment 3 Mason James 2017-02-13 06:30:48 UTC
Created attachment 60138 [details] [review]
Bug 18026 - URL to database columns link in system

Here's a patch for the 16.05 series, and the command I used to do the search/replace

grep -irl 'schema.koha-community.org/tables' ./* | grep -v .git | xargs perl -pi -e 's^koha-community.org/tables^koha-community.org/16_05/tables^'
Comment 4 Mason James 2017-02-15 02:51:59 UTC
Created attachment 60230 [details] [review]
Bug 18026 - URL to database columns link in system preferences is incorrect (16.11.x)

Here's a patch for the 16.11.x branch

The command I used to do the search/replace was...

$ grep -irl 'schema.koha-community.org/tables' ./* | grep -v .git | xargs perl -pi -e 's^koha-community.org/tables^koha-community.org/16_11^'
Comment 5 Mason James 2017-02-15 03:04:23 UTC
Created attachment 60231 [details] [review]
Bug 18026 - URL to database columns link in system preferences is incorrect (16.05.x)

Here's a patch for the 16.05.x branch

The command I used to do the search/replace was...

$ grep -irl 'schema.koha-community.org/tables' ./* | grep -v .git | xargs perl -pi -e 's^koha-community.org/tables^koha-community.org/16_05^'
Comment 6 Mason James 2017-02-15 03:09:53 UTC
Created attachment 60232 [details] [review]
Bug 18026 - URL to database columns link in system preferences is incorrect (16.05.x)

Here's a patch for the 16.05.x branch

	modified:   koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/acquisitions.pref
	modified:   koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/opac.pref
	modified:   koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/patrons.pref
Comment 7 Mason James 2017-02-15 03:13:45 UTC
Created attachment 60233 [details] [review]
Bug 18026 - URL to database columns link in system preferences is incorrect (16.11.x)

Here's a patch for the 16.11.x branch

	modified:   koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/acquisitions.pref
	modified:   koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/opac.pref
	modified:   koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/patrons.pref
Comment 8 Mason James 2017-02-15 03:18:58 UTC
Created attachment 60234 [details] [review]
Bug 18026 - URL to database columns link in system preferences is incorrect (3.22.x)

Here's a patch for the 3.22.x branch
Comment 9 Mason James 2017-02-15 03:30:51 UTC
Created attachment 60235 [details] [review]
Bug 18026 - URL to database columns link in system preferences is incorrect (master)

Here's a patch for the master branch

 Changes to be committed:
	modified:   koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/acquisitions.pref
	modified:   koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/opac.pref
	modified:   koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/patrons.pref
Comment 10 Marc Véron 2017-02-15 17:04:43 UTC
Hi Mason,

Since we touch this part and for the sake of translatability: Is it possible  to get rid of sentence splitting by HTML tags (at least for master)?

Example (Link on 'Database schema'):
------------------- 	
The following database columns will not appear on the patron self-modification screen:
[         ]  (separate columns with |) Database schema
-------------------
Comment 11 Mason James 2017-02-15 19:08:09 UTC
(In reply to Marc Véron from comment #10)
> Hi Mason,
> 
> Since we touch this part and for the sake of translatability: Is it possible
> to get rid of sentence splitting by HTML tags (at least for master)?
> 
> Example (Link on 'Database schema'):
> ------------------- 	
> The following database columns will not appear on the patron
> self-modification screen:
> [         ]  (separate columns with |) Database schema
> -------------------

Hi Mark, 

yes, sounds good :)

could you attach a small example patch for me?
Comment 12 Marc Véron 2017-02-15 20:41:18 UTC
Created attachment 60292 [details] [review]
Bug 18026 [ALTERNATIVE PATCH FOR MASTER] URL to database columns link in system preferences is incorrect

Alternative patch for Master (with unsplitted sentences for better translatability)

To test:
- Apply patch to master
- Go to Home > Administration > System preferences
- Select Acquisitons, OPAC and Patrons, search for "Database schma", verify that text and links are correct.
Comment 13 Dilan Johnpullé 2017-02-15 23:43:52 UTC
I tried to apply the patch to ptfs sandbox 0 but received the following error in an email during the sandbox setup:


The sandbox you've requested is not ready.
Some problems occurred applying patches from bug 18026:
<h1>Something went wrong !</h1>Applying: Bug 18026 - URL to database columns link in system preferences is incorrect (16.05.x)
Applying: Bug 18026 - URL to database columns link in system preferences is incorrect (16.11.x)
Using index info to reconstruct a base tree...
M       koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/acquisitions.pref
M       koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/opac.pref
M       koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/patrons.pref
Falling back to patching base and 3-way merge...
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/patrons.pref
CONFLICT (content): Merge conflict in koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/patrons.pref
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/opac.pref
CONFLICT (content): Merge conflict in koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/opac.pref
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/acquisitions.pref
CONFLICT (content): Merge conflict in koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/acquisitions.pref
Failed to merge in the changes.
Patch failed at 0001 Bug 18026 - URL to database columns link in system preferences is incorrect (16.11.x)
The copy of the patch that failed is found in:
   /home/koha/src/.git/rebase-apply/patch

When you have resolved this problem run git bz apply --continue.
If you would prefer to skip this patch, instead run git bz apply --skip.
To restore the original branch and stop patching run git bz apply --abort.
Bug 18026 - URL to database columns link in system preferences is incorrect

60232 - Bug 18026 - URL to database columns link in system preferences is incorrect (16.05.x)
60233 - Bug 18026 - URL to database columns link in system preferences is incorrect (16.11.x)
60234 - Bug 18026 - URL to database columns link in system preferences is incorrect (3.22.x)
60235 - Bug 18026 - URL to database columns link in system preferences is incorrect (master)
60292 - Bug 18026 [ALTERNATIVE PATCH FOR MASTER] URL to database columns link in system preferences is incorrect

Apply? [(y)es, (n)o, (i)nteractive] Patch left in /tmp/Bug-18026---URL-to-database-columns-link-in-system-w0Wf3f.patch .
Comment 14 Marc Véron 2017-02-16 07:24:56 UTC
(In reply to dilan from comment #13)
> I tried to apply the patch to ptfs sandbox 0 but received the following
> error in an email during the sandbox setup:
> 
> 
(...)
The patches are for different versions of Koha, you should apply only one of them, depending on your version. Choose 'Interactive' while applying and then comment out the patches you do not want to apply.
Comment 15 Baptiste 2017-02-17 13:09:43 UTC
Created attachment 60420 [details] [review]
[SIGNED OFF] Bug 18026 - URL to database columns link in system preferences is incorrect (16.05.x)

Here's a patch for the 16.05.x branch

	modified:   koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/acquisitions.pref
	modified:   koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/opac.pref
	modified:   koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/patrons.pref

Signed-off-by: Baptiste Wojtkowski <baptiste.wojtkowski@biblibre.com>
Comment 16 Baptiste 2017-02-17 13:11:13 UTC
Created attachment 60421 [details] [review]
[SIGNED OFF] Bug 18026 - URL to database columns link in system preferences is incorrect (16.11.x)

Here's a patch for the 16.11.x branch

	modified:   koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/acquisitions.pref
	modified:   koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/opac.pref
	modified:   koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/patrons.pref

Signed-off-by: Baptiste Wojtkowski <baptiste.wojtkowski@biblibre.com>
Comment 17 Baptiste 2017-02-17 13:12:54 UTC
Created attachment 60422 [details] [review]
[SIGNED OFF] Bug 18026 - URL to database columns link in system preferences is incorrect (3.22.x)

Here's a patch for the 3.22.x branch

Signed-off-by: Baptiste Wojtkowski <baptiste.wojtkowski@biblibre.com>
Comment 18 Baptiste 2017-02-17 13:17:28 UTC
Created attachment 60423 [details] [review]
[SIGNED OFF] Bug 18026 [ALTERNATIVE PATCH FOR MASTER] URL to database columns link in system preferences is incorrect

Alternative patch for Master (with unsplitted sentences for better translatability)

To test:
- Apply patch to master
- Go to Home > Administration > System preferences
- Select Acquisitons, OPAC and Patrons, search for "Database schma", verify that text and links are correct.

Signed-off-by: Baptiste Wojtkowski <baptiste.wojtkowski@biblibre.com>
Comment 19 Katrin Fischer 2017-02-17 16:53:16 UTC
Sorry, but I am not sure that breaking up HTML in the pref files always makes sense, as it won't keep it out of translations and HTML there doesn't break the strings as it does in the templates. Putting it on different lines does.

Before the change:

First string (copied from 16.11):
The following <a href='http://schema.koha-community.org/16_11/tables/borrowers.html' target='blank'>database columns</a> must be filled in on the patron entry screen:
Second string:
(separate columsn with |)

After the change:
First string:
The following database columns must be filled in on the patron entry screen:
Second string:
<a href='http://schema.koha-community.org/master/tables/borrowers.html' target='blank'>Database schema</a>
Third string:
(separate columsn with |) <a href='http://schema.koha-community.org/master/tables/borrowers.html' target='blank'>Database schema</a>

If we change it, why not have the "input help text" appear before the input field at least?
Comment 20 Marc Véron 2017-02-17 23:49:41 UTC
(In reply to Katrin Fischer from comment #19)
> Sorry, but I am not sure that breaking up HTML in the pref files always
> makes sense, as it won't keep it out of translations and HTML there doesn't
> break the strings as it does in the templates. Putting it on different lines
> does.
> 
> Before the change:
> 
> First string (copied from 16.11):
> The following <a
> href='http://schema.koha-community.org/16_11/tables/borrowers.html'
> target='blank'>database columns</a> must be filled in on the patron entry
> screen:
> Second string:
> (separate columsn with |)
> 
> After the change:
> First string:
> The following database columns must be filled in on the patron entry screen:
> Second string:
> <a href='http://schema.koha-community.org/master/tables/borrowers.html'
> target='blank'>Database schema</a>
> Third string:
> (separate columsn with |) <a
> href='http://schema.koha-community.org/master/tables/borrowers.html'
> target='blank'>Database schema</a>
> 
> If we change it, why not have the "input help text" appear before the input
> field at least?

Sorry, I was not aware that splitting by HTML tags does not happen in system preferences. Please disregard my alternative patch.
Comment 21 Jonathan Druart 2017-02-20 09:49:59 UTC
I am working on a more durable solution.
Comment 22 Jonathan Druart 2017-02-20 09:59:22 UTC
Created attachment 60456 [details] [review]
Bug 18026: Correct URL to database columns from .pref files

Recently the DB schema website has been updated.
The link to the columns' tables is now
  http://schema.koha-community.org/master/tables/table.html
  http://schema.koha-community.org/16_11/tables/table.html
  http://schema.koha-community.org/16_05/tables/table.html
instead of
  http://schema.koha-community.org/tables/table.html

To have a specific schema per Koha version.

To avoid fixing this link every release this patch adds a __VERSION__
marker to replace with the $version if stable ($version % 2) or 'master'

Test plan:
On master, 16.11.x and 16.05.x
Search for PatronSelfRegistrationBorrowerUnwantedField,
BorrowerMandatoryField and UniqueItemFields
Click on the link
You should get the correct page

This patch WILL NOT WORK on 3.22.x
Comment 23 Jonathan Druart 2017-02-20 10:00:07 UTC
The last patch is a more durable solution, it will avoid to update this link every release.
For 3.22, use the other one.
Comment 24 Julian Maurice 2017-02-20 10:32:43 UTC
Patch for 3.22.x pushed to 3.22.x for 3.22.17
Comment 25 M. Tompsett 2017-02-20 17:37:43 UTC
(In reply to Julian Maurice from comment #24)
> Patch for 3.22.x pushed to 3.22.x for 3.22.17

Hope you toggled the minor % 0 check.
Comment 26 M. Tompsett 2017-02-20 17:54:47 UTC
Created attachment 60475 [details] [review]
Bug 18026: Correct URL to database columns from .pref files [MASTER]

Recently the DB schema website has been updated.
The link to the columns' tables is now
  http://schema.koha-community.org/master/tables/table.html
  http://schema.koha-community.org/16_11/tables/table.html
  http://schema.koha-community.org/16_05/tables/table.html
instead of
  http://schema.koha-community.org/tables/table.html

To have a specific schema per Koha version.

To avoid fixing this link every release this patch adds a __VERSION__
marker to replace with the $version if stable ($version % 2) or 'master'

Test plan:
On master, 16.11.x and 16.05.x
Search for PatronSelfRegistrationBorrowerUnwantedField,
BorrowerMandatoryField and UniqueItemFields
Click on the link
You should get the correct page

This patch WILL NOT WORK on 3.22.x

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 27 M. Tompsett 2017-02-20 17:56:57 UTC
Created attachment 60476 [details] [review]
Bug 18026: Correct URL to database columns from .pref files [16.11.x]

Recently the DB schema website has been updated.
The link to the columns' tables is now
  http://schema.koha-community.org/master/tables/table.html
  http://schema.koha-community.org/16_11/tables/table.html
  http://schema.koha-community.org/16_05/tables/table.html
instead of
  http://schema.koha-community.org/tables/table.html

To have a specific schema per Koha version.

To avoid fixing this link every release this patch adds a __VERSION__
marker to replace with the $version if stable ($version % 2) or 'master'

Test plan:
On master, 16.11.x and 16.05.x
Search for PatronSelfRegistrationBorrowerUnwantedField,
BorrowerMandatoryField and UniqueItemFields
Click on the link
You should get the correct page

This patch WILL NOT WORK on 3.22.x

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 28 M. Tompsett 2017-02-20 17:58:13 UTC
Created attachment 60477 [details] [review]
Bug 18026: Correct URL to database columns from .pref files [16.05.x]

Recently the DB schema website has been updated.
The link to the columns' tables is now
  http://schema.koha-community.org/master/tables/table.html
  http://schema.koha-community.org/16_11/tables/table.html
  http://schema.koha-community.org/16_05/tables/table.html
instead of
  http://schema.koha-community.org/tables/table.html

To have a specific schema per Koha version.

To avoid fixing this link every release this patch adds a __VERSION__
marker to replace with the $version if stable ($version % 2) or 'master'

Test plan:
On master, 16.11.x and 16.05.x
Search for PatronSelfRegistrationBorrowerUnwantedField,
BorrowerMandatoryField and UniqueItemFields
Click on the link
You should get the correct page

This patch WILL NOT WORK on 3.22.x

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 29 M. Tompsett 2017-02-20 18:13:16 UTC
Created attachment 60478 [details] [review]
Bug 18026: Correct URL to database columns from .pref files [3.22.x]

Recently the DB schema website has been updated.
The link to the columns' tables is now
  http://schema.koha-community.org/master/tables/table.html
  http://schema.koha-community.org/16_11/tables/table.html
  http://schema.koha-community.org/16_05/tables/table.html
instead of
  http://schema.koha-community.org/tables/table.html

To have a specific schema per Koha version.

To avoid fixing this link every release this patch adds a __VERSION__
marker to replace with the $version if stable ($version % 2) or 'master'

Test plan:
On master, 16.11.x and 16.05.x
Search for PatronSelfRegistrationBorrowerUnwantedField,
BorrowerMandatoryField and UniqueItemFields
Click on the link
You should get the correct page

NOTE: The master vs stable release logic changed when the major number
became the YY format. This corrects the backported logic.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 30 M. Tompsett 2017-02-20 18:17:55 UTC
The 3.22.x one applies to 3.20.x
There was no Version function in 3.18.x, and so I would not backport it that far back.
Comment 31 Tomás Cohen Arazi 2017-02-21 14:49:43 UTC
(In reply to M. Tompsett from comment #30)
> The 3.22.x one applies to 3.20.x
> There was no Version function in 3.18.x, and so I would not backport it that
> far back.

3.20.x and 3.18.x are no longer maintained.
Comment 32 Tomás Cohen Arazi 2017-02-21 14:52:14 UTC
Created attachment 60524 [details] [review]
Bug 18026: Correct URL to database columns from .pref files

Recently the DB schema website has been updated.
The link to the columns' tables is now
  http://schema.koha-community.org/master/tables/table.html
  http://schema.koha-community.org/16_11/tables/table.html
  http://schema.koha-community.org/16_05/tables/table.html
instead of
  http://schema.koha-community.org/tables/table.html

To have a specific schema per Koha version.

To avoid fixing this link every release this patch adds a __VERSION__
marker to replace with the $version if stable ($version % 2) or 'master'

Test plan:
On master, 16.11.x and 16.05.x
Search for PatronSelfRegistrationBorrowerUnwantedField,
BorrowerMandatoryField and UniqueItemFields
Click on the link
You should get the correct page

This patch WILL NOT WORK on 3.22.x

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 33 Tomás Cohen Arazi 2017-02-21 14:55:10 UTC
Created attachment 60525 [details] [review]
Bug 18026: Correct URL to database columns from .pref files [16.11.x]

Recently the DB schema website has been updated.
The link to the columns' tables is now
  http://schema.koha-community.org/master/tables/table.html
  http://schema.koha-community.org/16_11/tables/table.html
  http://schema.koha-community.org/16_05/tables/table.html
instead of
  http://schema.koha-community.org/tables/table.html

To have a specific schema per Koha version.

To avoid fixing this link every release this patch adds a __VERSION__
marker to replace with the $version if stable ($version % 2) or 'master'

Test plan:
On master, 16.11.x and 16.05.x
Search for PatronSelfRegistrationBorrowerUnwantedField,
BorrowerMandatoryField and UniqueItemFields
Click on the link
You should get the correct page

This patch WILL NOT WORK on 3.22.x

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 34 Tomás Cohen Arazi 2017-02-21 14:56:55 UTC
Created attachment 60526 [details] [review]
Bug 18026: Correct URL to database columns from .pref files [16.05.x]

Recently the DB schema website has been updated.
The link to the columns' tables is now
  http://schema.koha-community.org/master/tables/table.html
  http://schema.koha-community.org/16_11/tables/table.html
  http://schema.koha-community.org/16_05/tables/table.html
instead of
  http://schema.koha-community.org/tables/table.html

To have a specific schema per Koha version.

To avoid fixing this link every release this patch adds a __VERSION__
marker to replace with the $version if stable ($version % 2) or 'master'

Test plan:
On master, 16.11.x and 16.05.x
Search for PatronSelfRegistrationBorrowerUnwantedField,
BorrowerMandatoryField and UniqueItemFields
Click on the link
You should get the correct page

This patch WILL NOT WORK on 3.22.x

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 35 Kyle M Hall 2017-02-21 19:54:55 UTC
Pushed to master for 17.05, thanks Jonathan!
Comment 36 Katrin Fischer 2017-02-21 21:02:40 UTC
The new patches came in after the string freeze - pondering not to push to 16.11 because translators have already had to retranslate all the strings as I pushed the original patch with the hardcoded version. Could it make sense to only have this on master for the future? 

Because of the strings this is not going to make it into 16.11.04 and we can figure things out before the next one.
Comment 37 Jonathan Druart 2017-02-22 09:18:51 UTC
(In reply to Katrin Fischer from comment #36)
> Could it make sense to only have this on master for the future?

Yes, definitely.
Comment 38 Katrin Fischer 2017-02-22 10:26:13 UTC
Thx! Switching to "pushed to stable" in case Mason wants it for 16.05.
Comment 39 Mason James 2017-02-22 22:59:00 UTC
(In reply to Katrin Fischer from comment #38)
> Thx! Switching to "pushed to stable" in case Mason wants it for 16.05.

Pushed to 16.05.x, for 16.05.10 release

(ps: i decided to use the hardcoded patch for the 16.05.x branch)
Comment 40 Katrin Fischer 2017-03-26 19:47:40 UTC
Why is the status here 'pushed to master'?